body
{
font-family: <?php echo G2C::get ('font') ?>;
}

#page, #footer, #pagenav, #header
{
width: <?php echo G2_Admin::get_width () ?>;
}

<?php if (G2C::get ('width') == 100) : ?>
#page
{
border-left: none;
border-right: none;
}
<?php endif; ?>

<?php if (G2_Admin::has_a_bar ()) : ?>
#wrapper
{
background: white url(skin/<?php echo G2C::get ('colour') ?>/column.gif) repeat-y 20px 0px;
}

.linkbarbottom
{
background-image: url(skin/<?php echo G2C::get ('colour') ?>/column-diff.gif);
background-repeat: repeat-y;
background-position: 20px 0px;
height: 1.1em;
padding-bottom: 4px;
}

#footer
{
background: transparent url(skin/<?php echo G2C::get ('colour') ?>/column.gif) repeat-y 20px 0px;
}

#content .item
{
padding-left: 3em;
}

#footer p { padding-left: 60px; }


<?php else : ?>

h2.narrowheading { padding-left: 0.8em }
.linkbarbottom { height: 1.1em }
#footer p { padding-left: 20px }
.linkbar li.left { margin-left: 0px; }
.linkbar li.right { margin-right: 24px; }

<?php endif; ?>

<?php if (G2_Admin::has_corners ()) : ?>
<?php if (G2C::get ('width_left') == 0 || G2C::get ('width_right') == 0) : ?>
h2.narrowcorner
{
background-image: url(skin/<?php echo G2C::get ('colour') ?>/header-top-corner.gif);
background-repeat: no-repeat;
background-position: top left;
}
<?php endif; ?>

#rightbar #wp-calendar caption, #rightbar h2
{
background-image: url(skin/<?php echo G2C::get ('colour') ?>/right-top-corner.gif);
background-repeat: no-repeat;
background-position: top left;
}

#rightbar ul li
{
background-image: url(skin/<?php echo G2C::get ('colour') ?>/right-bottom-corner.gif);
background-repeat: no-repeat;
background-position: bottom left;
}


#leftbar #wp-calendar caption, #leftbar h2
{
background-image: url(skin/<?php echo G2C::get ('colour') ?>/left-top-corner.gif);
background-repeat: no-repeat;
background-position: top right;
}

#leftbar ul li
{
background-image: url(skin/<?php echo G2C::get ('colour') ?>/left-bottom-corner.gif);
background-repeat: no-repeat;
background-position: bottom right;
}

#rightbar ul li ul li, #leftbar ul li ul li { background-image: none; }
<?php endif; ?>

<?php if (G2C::get ('width') == 100) : ?>
#header
{
border-left: none;
border-right: none;
}
<?php endif; ?>

<?php if (G2C::get ('width') == 100) : ?>
#pagenav
{
border-left: none;
border-right: none;
}
<?php endif; ?>

<?php // =======================================================================
      // Columns
      // ======================================================================= ?>
<?php if (G2C::get ('width_left') == 0 && G2C::get ('width_right') == 0) : ?>
#inner { padding: 0 20px; }

<?php if (G2C::get ('lead_full') == "false") : ?>
.widecontent { padding-left: 0}
<?php endif; ?>

<?php elseif (G2C::get ('width_left') != 0 && G2C::get ('width_right') == 0) : ?>
#inner { padding-right: 20px; }

#main
{
float: right;
width: <?php echo (99 - G2C::get ('width_right') - G2C::get ('width_left')) ?>%;
}

#leftbar
{
float: left;
width: <?php echo (G2C::get ('width_left') - 1) ?>%;
}

<?php elseif (G2C::get ('width_left') == 0 && G2C::get ('width_right') != 0) : ?>
#inner { padding-left: 20px; }

#main
{
float: left;
width: <?php echo (99 - G2C::get ('width_right') - G2C::get ('width_left')) ?>%;
}

#rightbar
{
width: <?php echo (G2C::get ('width_right') - 1) ?>%;
float: right;
}

<?php else : ?>

#main
{
float: left;
width: <?php echo (99 - G2C::get ('width_right') - G2C::get ('width_left')) ?>%;
}

#rightbar
{
width: <?php echo (G2C::get ('width_right')) ?>%;
float: right;
}

#leftbar
{
float: left;
width: <?php echo (G2C::get ('width_left') - 1) ?>%;
margin-right: 1%;
}

<?php endif; ?>

<?php if (G2C::get ('lead_full') == "false" || (G2C::get ('width_right') == 0 && G2C::get ('width_left') == 0)) : ?>
.sidebar, .submain { margin-top: 20px; }
.fullcontent { padding: 20px 20px 2em 20px !important; }
.widecontent { padding-left: 0 }
<?php endif; ?>


#header
{
height: <?php echo G2C::get ('logo_height').G2C::get ('logo_height_units') ?>;
font-size: <?php echo G2C::get ('logo_fontsize') ?>;
margin: 0 auto;
background: white url(<?php echo G2C::get ('logo_gradient') ?>) <?php echo G2C::get ('logo_repeat') ?> top left;
padding-top: 1em;
}

#headerimg
{
height: <?php echo G2C::get ('logo_height').G2C::get ('logo_height_units') ?>;
font-family: <?php echo stripslashes (G2C::get ('logo_font')) ?>;
text-align: <?php echo G2C::get ('logo_textalign') ?>;
padding-left: 1em;
padding-right: 1em;
background: transparent url(<?php echo G2C::get ('logo_image') ?>) no-repeat <?php echo G2C::get ('logo_align') ?> top;
}

body
{
background: transparent url(<?php echo G2C::get ('logo_background') ?>) <?php echo G2C::get ('logo_background_repeat') ?> top left;
}

