<?php get_header(); ?>

<div class="linkbar"><ul><?php G2::page_links () ?></ul></div>

<div id="wrapper" class="nobar">
  <?php if (G2::has_left_column ()) load_template (TEMPLATEPATH . '/sidebar2.php'); ?>
  <br/>
  <div id="inner">
	<div id="main" class="noprint">
	<div id="content" class="widecontent archivecontent">
		<?php if (have_posts()) : ?>
<div class="post">
		 <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
		<h2><?php printf(_g('Archive for the %s category'), single_cat_title('', false))?></h2>

 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2><?php _ge('Archive for')?> <?php the_time(_g('F jS, Y')); ?></h2>

	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2><?php _ge('Archive for')?> <?php the_time(_g('F, Y')); ?></h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2><?php _ge('Archive for')?> <?php the_time(_g('Y')); ?></h2>

	  <?php /* If this is a search */ } elseif (is_search()) { ?>
		<h2><?php _ge('Search Results')?></h2>

	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2><?php _ge('Author Archive')?></h2>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2><?php _ge('Blog Archives')?></h2>

		<?php } ?>
</div>

		<?php while (have_posts()) : the_post(); ?>
		<div class="post">
				<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _ge('Permanent Link')?>"><?php the_title(); ?></a></h3>
			<p class="postmetadata"><small><?php printf (_g('Posted on %1$s in %2$s.'), G2::time (), get_the_category_list(', ')); ?></small></p>
					<div class="entry">
					<?php the_excerpt() ?>
				</div>
			</div>
		<?php endwhile; ?>
	<?php endif; ?>
	</div>
</div>
	</div>
  <?php if (G2::has_right_column ()) get_sidebar(); ?>
<div class="clear"></div>
</div>
<?php get_footer(); ?>