<?php
  if (!empty($post->post_password))
  {
    if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) { ?>
    <div id="content" class="narrowcontents">
      <h2 class="narrowheading narrowcorner"><?php _ge('Protected comments') ?></h2>
			<div class="item" id="commentslist"><p><?php _ge('This post is password protected. Enter the password to view comments.')?><p></div>
	  </div>
	  <?php	return; }
  }

	$oddcomment = 'alt';
  $group_pings = array ();
  $group_comments = array ();

  global $group_pings, $group_comments;
  G2::group_comments ($comments);
?>

<div id="content" class="narrowcontents">
<?php if (count ($group_comments) > 0) : ?><h2 class="narrowheading narrowcorner"><?php G2::comments_number (_g('No replies'), _g('One reply'), _g('% replies'), count ($group_comments))?></h2><?php endif; ?>
  <div class="item" id="commentslist">
<?php if (count ($group_comments) > 0) : ?>
		<ol class="commentlist" id="commentlist">
  	<?php $count = 0;
  	      $up    = true;
  	      $start = 0;
  	      if (get_option ('giraffe_comments_order') == "desc")
  	      {
  	        $up    = false;
  	        $start = count ($group_comments) - 1;
  	      }

	        for ($x = $start; $up ? $x < count ($group_comments) : $x >= 0; $up ? $x++ : $x--)
  	      {
  	        $comment = $group_comments[$x]; ?>
        		<li class="<?php echo $oddcomment; ?><?php if ($count + 1 < count ($group_comments)) echo " notlast"; $count++ ?><?php if ($comment->user_id != 0) : ?> commentauthor<?php endif; ?>" id="comment-<?php comment_ID() ?>">

        		<div class="commentinfo">
        		  <?php G2::gravatar ($comment->user_id) ?>
        		  <h4 class="authorlink"><?php if ($comment->user_id != 0) printf (_g('<cite>%s</cite> (blog author) says:'), get_comment_author_link()); else printf (_g('<cite>%s</cite> says:'), get_comment_author_link()); ?></h4>
        			<small class="commentmetadata"><?php printf(_g('Added on %1$s at %2$s'), '<a href="#comment-'.get_comment_ID().'">'.get_comment_date(_g('F jS, Y')), get_comment_time().'</a>')?> <?php edit_comment_link(_g('Edit'),'-',''); ?></small>
      			</div>

      			<?php if ($comment->comment_approved == '0') : ?>
      			<em><?php _ge('Your comment is awaiting moderation.')?></em>
      			<?php endif; ?>
      			<br/>
            <div style="clear: left"></div>
      			<?php comment_text() ?>
      		</li>
      	<?php /* Changes every other comment to a different class */
      		if ('alt' == $oddcomment) $oddcomment = '';
      		else $oddcomment = 'alt';
      	?>
      <?php }; /* end for each comment */ ?>
  	</ol>
<?php endif; ?>
	</div>

<?php if (count ($group_pings) > 0) : ?>
  <h2 class="narrowheading<?php if (count ($group_comments) == 0) echo " narrowcorner" ?>"><?php G2::comments_number (_g('No trackbacks'), _g('One trackback'), _g('% trackbacks'), count ($group_pings))?></h2>
  <div class="item" id="pingslist" style="display: none">
    <a class="java" href="javascript:pingsOff()"><?php _ge('Hide pings &amp; trackbacks')?></a>
  	<ol class="commentlist">
  	<?php $count = 0;
  	      foreach ($group_pings as $comment) : ?>
        		<li class="<?php echo $oddcomment; ?>" id="comment-<?php comment_ID() ?>">
      			<h4><cite><?php comment_author_link() ?></cite>:</h4>
      			<small class="commentmetadata"><?php printf(_g('Added on %1$s at %2$s'), '<a href="#comment-'.get_comment_ID().'">'.get_comment_date(_g('F jS, Y')), get_comment_time().'</a>')?> <?php edit_comment_link(_g('Edit'),'-',''); ?></small>
       		</li>
      	<?php /* Changes every other comment to a different class */
      		if ('alt' == $oddcomment) $oddcomment = '';
      		else $oddcomment = 'alt';
      	?>
        <?php endforeach; ?>
  	</ol>
	</div>
	<div class="item" id="pinglistoff">
	<a class="java" href="javascript:pingsOn()"><?php _ge('View all pings &amp; trackbacks')?></a>
	</div>
<?php endif; ?>

<?php if (count ($group_pings) == 0 && count ($group_comments) == 0 && 'open' != $post->comment_status) : ?>
  <h2 class="narrowheading narrowcorner"><?php G2::comments_number (_g('No replies'), _g('One reply'), _g('% replies'), count ($group_comments))?> to &#8220;<?php the_title(); ?>&#8221;</h2>
<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>
<h2 class="narrowheading<?php if (!$comments) echo " narrowcorner" ?>" id="respond"><?php _ge('Leave a reply')?></h2>
<div class="item">
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<div class="item" id="commentslist"><p><?php printf(_g('You must be <a href="%s">logged in</a> to post a comment.'), get_option('siteurl').'/wp-login.php?redirect_to='.apply_filters('the_permalink', get_permalink()))?></p></div>
</div>
<?php else : ?>

<form id="commentform" action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" <?php if (G2::have_ajax_comments ()) : ?>onsubmit="new Ajax.Updater({success: 'commentlist'}, '<?php bloginfo('stylesheet_directory') ?>/comments-ajax.php', {asynchronous: true, evalScripts: true, insertion: Insertion.Bottom, onComplete: function(request){complete(request)}, onFailure: function(request){failure(request)}, onLoading: function(request){loading()}, parameters: Form.serialize(this)}); return false;"<?php endif; ?>>
<?php if ( $user_ID ) : ?>

<p><?php printf(_g('Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s">Logout &raquo;</a>'), get_option('siteurl').'/wp-admin/profile.php', $user_identity, get_option('siteurl').'/wp-login.php?action=logout')?></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
<label for="author"><small><?php _ge('Name')?> <?php if ($req) _ge('(required)'); ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
<label for="email"><small><?php _ge('Email (will not be published)')?> <?php if ($req) _ge('(required)')?></small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
<label for="url"><small><?php _ge('Website')?></small></label></p> 

<?php endif; ?>

<p><textarea name="comment" id="comment" rows="10" tabindex="4" cols="11"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _ge('Submit Comment')?>" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>
<?php do_action('comment_form', $post->ID); ?>

<div id="loading" style="display: none;"><img align="middle" src="<?php bloginfo ('template_url') ?>/loading.gif" alt="loading" width="32" height="32"/> <?php _ge ('Posting your comment.' ) ?></div>
<div id="errors"></div>

</form>
</div>
<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>
</div>