<?php get_header(); ?>

<?php if (G2::lead_full_width ()) G2::html_lead () ?>

<div id="wrapper">
  <?php if (G2::has_left_column ()) load_template (TEMPLATEPATH . '/sidebar2.php'); ?>

  <div id="inner">
	<div id="main">
		<?php if (!G2::lead_full_width ()) G2::html_lead () ?>

	  <?php if (G2::has_inset_comments ()) : ?>
    <div id="inset">
      <h2><?php _ge('Latest comments across all posts')?></h2>
      <ul><?php G2::inset_comments () ?></ul>
    </div>
    <?php endif; ?>

    <?php if (have_posts ()) { ?>
	  <h2 class="narrowheading narrowcorner"><?php _ge('Recent Posts')?></h2>
	    <div id="content" class="narrowcontents">

		<?php while (have_posts() && G2::have_recent ()) : the_post(); ?>
			<div class="post item" id="post-<?php the_ID(); ?>">
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _ge('Read full post')?>"><img align="top" src="<?php G2::image ()?>/post.png" alt="post"/> <?php the_title(); ?></a></h2>
		<p class="postmetadata">
		  <small>
		    <?php echo G2::time () ?> |
		    <?php echo get_the_category_list(', '); ?> | <?php G2::html_author () ?>
		    <?php comments_popup_link (_g('No comments'), _g('1 comment'), _g('% comments')); ?>.
		  </small></p>

				<div class="entry">
					<?php the_content(_g('more')); ?>
				</div>
        <div class="clear"></div>
			</div>
			<?php if (!G2::last_recent ()) { ?><div class="hr"><hr/></div><?php } ?>
    <?php endwhile; ?>

    <?php if (have_posts ()) : ?>
  		<h2 class="narrowheading noprint"><?php _ge('Older Posts')?></h2>
	  	<?php while (have_posts ()) : the_post () ?>
			<div class="item smallpost noprint" id="post-<?php the_ID(); ?>">
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _ge('Read full post')?>"><?php the_title(); ?></a></h2>
			  <p class="postmetadata"><small>
			    <?php echo G2::time () ?> |
			    <?php echo get_the_category_list(', '); ?> | <?php G2::html_author () ?>
			    <?php comments_popup_link (_g('No comments'), _g('1 comment'), _g('% comments')); ?>.
			  </small></p>
		  </div>
			<?php endwhile; ?>
	  <?php endif; ?>
    </div>

   <?php } else { ?>
   <h2 class="narrowheading narrowcorner">&nbsp;</h2>
   <?php } ?>
  </div>
  </div>

  <?php if (G2::has_right_column ()) get_sidebar(); ?>
  <div class="clear"></div>
</div>

<?php get_footer(); ?>
