<?php G2::disable_plugins () ?>

<div class="sidebar" id="rightbar">
	<ul>
<?php if ( !function_exists('dynamic_sidebar')
        || !dynamic_sidebar(_g('Right column')) ) : ?>
	  <?php if ((is_page () || is_single ()) && !is_404 ()) : ?>

	  	<li>
	    <h2><?php _ge('Information')?></h2>
				<dl>
				<?php if ($post->post_date != $post->post_modified) { ?>
				<dt><img alt="modified" src="<?php G2::image ()?>/info_created.png"/><?php _ge('Modified')?></dt><dd><?php printf (_g('%1$s at %2$s'),  mysql2date (_g('F jS, Y'), $post->post_modified), mysql2date (_g('H:i'), $post->post_modified)); ?></dd>
			  <?php } else { ?>
				<dt><img alt="created" src="<?php G2::image ()?>/info_created.png"/><?php _ge('Created')?></dt><dd><?php printf (_g('%1$s at %2$s'), mysql2date (_g('F jS, Y'), $post->post_date), mysql2date (_g('H:i'), $post->post_date)); ?></dd>
        <?php } ?>
				<?php if ($post->ping_status === 'open') : ?>
				<dt><img alt="trackback" src="<?php G2::image ()?>/info_trackback.png"/><a href="<?php trackback_url (true) ?>"><?php _ge('Trackback')?></a></dt><dd><?php _ge('Link from your site')?></dd>
				<?php endif; ?>
        <dt><img alt="rss" src="<?php G2::image ();?>/info_rss.png"/><?php comments_rss_link ('RSS 2.0') ?></dt><dd><?php _ge('Subscribe to comments')?></dd>
        <?php global $user_ID, $post;
              get_currentuserinfo();
            	if (user_can_edit_post($user_ID, $post->ID)) : ?>
				<dt><img alt="edit" src="<?php G2::image ()?>/info_edit.png"/><a href="<?php echo get_settings('siteurl') . "/wp-admin/post.php?action=edit&amp;post=$post->ID"; ?>"><?php _ge('Edit this')?></a></dt><dd><?php _ge('Only for authors')?></dd>
				<?php endif; ?>
				</dl>
			</li>
	  <?php endif; ?>
		<?php if (is_category()) { ?>
		<li><h2><?php _ge('Information')?></h2><p><?php printf(_g('You are currently browsing the archives for the %s category.'), single_cat_title ('', false)) ?></p></li>

		<?php } elseif (is_day()) { ?>
		<li><h2><?php _ge('Information')?></h2><p><?php printf(_g('You are currently browsing the %s weblog archives for'), '<a href="'.get_settings('siteurl').'">'.get_bloginfo('name').'</a>')?> <?php the_time(_g('l, F jS, Y'))?>.</p></li>

		<?php } elseif (is_month()) { ?>
		<li><h2><?php _ge('Information')?></h2><p><?php printf(_g('You are currently browsing the %s weblog archives for'), '<a href="'.get_settings('siteurl').'">'.get_bloginfo('name').'</a>')?> <?php the_time(_g('F, Y')); ?>.</p></li>

    <?php  } elseif (is_year() && !is_404 ()) { ?>
		<li><h2><?php _ge('Information')?></h2><p><?php printf(_g('You are currently browsing the %s weblog archives for'), '<a href="'.get_settings('siteurl').'">'.get_bloginfo('name').'</a>')?> <?php the_time(_g('Y')); ?>.</p></li>

	 <?php  } elseif (is_search()) { ?>
		<li><h2><?php _ge('Information')?></h2><p><?php printf(_g('You have searched the %1$s weblog archives for <strong>%2$s</strong>. If you are unable to find anything in these search results, you can try one of the archive links.'), '<a href="'.get_settings('siteurl').'">'.get_bloginfo('name').'</a>', wp_specialchars($s))?></p></li>

		<?php } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
	<li><h2><?php _ge('Information')?></h2><p><?php printf(_g('You are currently browsing the %s weblog archives.'),'<a href="'.get_settings('siteurl').'">'.get_bloginfo('name').'</a>')?></p></li>

		<?php } ?>
		<li><h2><?php _ge('Archives')?></h2>
			<ul>
			<?php wp_get_archives('type=monthly'); ?>
			</ul>
		</li>

	  <li>
	    <?php if (function_exists ('ajax_calendar')) ajax_calendar (); else get_calendar (); ?>
	  </li>
 		<li><h2><?php _ge('Categories')?></h2>
			<ul>
			<?php wp_list_cats('sort_column=name&optioncount=1&hierarchical=0'); ?>
			</ul>
		</li>
		<?php if ( is_home()) { ?>
		<li><h2><?php _ge('User')?></h2>
			<ul>
				<?php wp_register(); ?>
				<li><?php wp_loginout(); ?></li>
				<?php wp_meta(); ?>
			</ul>
		</li>
		<?php } ?>
		<?php if (file_exists (TEMPLATEPATH.'/sidebar-extra.php')) include (TEMPLATEPATH."/sidebar-extra.php") ?>
		<li><h2><?php _ge('Search')?></h2><?php include (TEMPLATEPATH . '/searchform.php'); ?></li>
<?php endif; ?>
	</ul>
	<div class="clear"></div>
</div>
